Story4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls', namespace='main')),
    path('', include('jadwal_app.urls', namespace='jadwal_app')),
    path('', include('kegiatan_app.urls', namespace='kegiatan_app')),
    path('', include('story_7.urls', namespace='story_7')),
    path('', include('story_8.urls', namespace='story_8')),
    path('story-9/', include('story_9.urls', namespace='story_9')),
]

jadwal_app/urls.py
from django.contrib import admin
from django.urls import include, path
from . import views
from .models import Customer
from .views import JadwalView, JadwalDetailView, DeleteJadwalView

app_name = 'jadwal_app'

urlpatterns = [
    path('jadwal/', views.jadwal, name='jadwal'),
    path('tampilan-jadwal/', JadwalView.as_view(), name='tampilan_jadwal'),
    path('detail-jadwal/<int:id>/', views.JadwalDetailView, name = 'detail_jadwal'),
    path('detail-jadwal/<int:id>/remove', views.DeleteJadwalView, name='delete_jadwal'),
]

kegiatan_app/urls.py
from django.contrib import admin
from django.urls import include, path
from . import views
from .models import FormKegiatan, ListKegiatan
from .views import  DaftarKegiatanView, DaftarNamaOrangView, ListKegiatanView, ListNamaView

app_name = 'kegiatan_app'

urlpatterns = [
    path('daftarkan-kegiatan/', views.DaftarKegiatanView, name='daftarkegiatan'),
    path('list-kegiatan/', ListKegiatanView.as_view(), name='listkegiatan'),
    path('daftarkan-nama/', views.DaftarNamaOrangView, name='daftarnama'),
    path('list-nama/', ListNamaView.as_view(), name='listnama'),
]

main/urls.py
from django.urls import path, include

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('tambahan/', views.tambahan, name='tambahan'),
    path('story1/', views.story1, name='story1'),
]

story_7/urls.py
from django.urls import path, include

from . import views

app_name = 'story_7'

urlpatterns = [
    path('story-7/', views.story_7, name='story_7'),

]

story_8/urls.py
from django.urls import path, include

from . import views

app_name = 'story_8'

urlpatterns = [
    path('story-8/', views.story_8, name='story_8'),
    path('data/', views.fungsi_data),
]

story_9/urls.py
from django.urls import path, include

from . import views

app_name = 'story_9'

urlpatterns = [
    path('login/', views.loginUser, name='login'),
    path('signup/', views.signup, name='signup'),
    path('logout/', views.logoutUser, name='logout'),
]

jadwal_app/models.py
from django.db import models

class Customer(models.Model):
    nama_mata_kuliah = models.CharField(max_length = 200)
    dosen_pengajar = models.CharField(max_length = 200)
    jumlah_sks = models.IntegerField()
    deskripsi_mata_kuliah = models.CharField(max_length = 200)
    semester_tahun = models.CharField(max_length = 200)
    ruang_kelas = models.CharField(max_length = 200)

    def __str__(self):
        return self.nama_mata_kuliah + ' ' + self.dosen_pengajar

    

kegiatan_app/models.py
from django.db import models

class FormKegiatan(models.Model):
    nama_kegiatan = models.CharField(max_length = 200)

    def __str__(self):
        return self.nama_kegiatan

class ListKegiatan(models.Model):
    nama_kegiatan = models.ForeignKey(FormKegiatan, null = True, on_delete = models.CASCADE)
    nama_orang = models.CharField(max_length = 200)
    def __str__(self):
        return self.nama_orang

main/models.py
from django.db import models

# Create your models here.

story_7/models.py
from django.db import models

# Create your models here.

story_8/models.py
from django.db import models

# Create your models here.

story_9/models.py
from django.db import models

# Create your models here.

story_9/forms.py
from django.forms import ModelForm
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User

class CreateUserForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username', 'email', 'password1', 'password2']

jadwal_app/views.py
from django.shortcuts import render, get_object_or_404
from django.http import HttpResponse
from .form import CustomerForm
from django.http import HttpResponseRedirect
from .models import Customer
from django.views.generic import ListView

def jadwal(request):
    form = CustomerForm()
    if request.method == 'POST':
        print(request.POST)
        form = CustomerForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('/jadwal')

    context = {'form':form}
    return render(request, 'jadwal.html', context)

class JadwalView(ListView):
    model = Customer
    template_name = 'tampilan_jadwal.html'

def JadwalDetailView(request, id):
    mata_kuliah = Customer.objects.get(pk=id)
    return render(request, 'detail_jadwal.html', {"mata_kuliah":mata_kuliah})

def DeleteJadwalView(request, id):
    mata_kuliah = get_object_or_404(Customer, pk = id)
    mata_kuliah.delete()
    context = {
        "mata_kuliah": mata_kuliah
    }
    return render(request, 'delete_jadwal.html', context)

kegiatan_app/views.py
from django.shortcuts import render
from django.views.generic import ListView
from django.http import HttpResponseRedirect
from .models import FormKegiatan, ListKegiatan
from .form import DaftarKegiatanForm, NamaOrangForm


def DaftarKegiatanView(request): #mendaftarkan kegiatan
    form = DaftarKegiatanForm()
    if request.method == 'POST':
        form = DaftarKegiatanForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('/daftarkan-kegiatan')

    context = {'form':form}
    return render(request, 'tambah_kegiatan.html', context)

class ListKegiatanView(ListView): #menampilkan list kegiatan
    model = FormKegiatan
    template_name = 'list_kegiatan.html'

def DaftarNamaOrangView(request): #mendaftarkan nama ke kegiatan
    form = NamaOrangForm()
    if request.method == 'POST':
        form = NamaOrangForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('/daftarkan-nama')

    context = {'form':form}
    return render(request, 'tambah_nama_orang.html', context)

class ListNamaView(ListView): #menampilkan list nama-nama
    model = FormKegiatan
    template_name = 'list_nama.html'

main/views.py
from django.shortcuts import render


def home(request):
    return render(request, 'main/home.html')

def tambahan(request):
    return render(request, 'main/tambahan.html')

def story1(request):
    return render(request, 'main/story1.html')

story_7/views.py
from django.shortcuts import render

# Create your views here.

def story_7(request):
    return render(request, 'story_7.html')

story_8/views.py
from django.shortcuts import render
from django.http import JsonResponse
import requests
import json

# Create your views here.


def story_8(request):
    response = {}
    return render(request, 'story_8.html', response)

def fungsi_data(request):
    url = 'https://www.googleapis.com/books/v1/volumes?q=' + request.GET['q']
    ret = requests.get(url)
    data = json.loads(ret.content)
    return JsonResponse(data, safe = False)

story_9/views.py
from django.shortcuts import render
from django.contrib.auth.forms import UserCreationForm
from story_9.forms import CreateUserForm
from django.http import HttpResponseRedirect
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages

def loginUser(request):
    if request.method == "POST":
        username = request.POST.get('username')
        password = request.POST.get('password')
        user = authenticate(request, username = username, password = password)
        if user is not None:
            login(request, user)
            return HttpResponseRedirect('/')
        else:
            messages.info(request, 'Username ATAU Password salah')

    response = {}
    return render(request, 'login.html', response)

def signup(request):
    form = CreateUserForm()
    if request.method == 'POST':
        form = UserCreationForm(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('/story-9/login/')

    response = {'form':form}
    return render(request, 'signup.html', response)

def logoutUser(request):
    logout(request)
    return HttpResponseRedirect('/story-9/login/')

jadwal_app/templates/delete_jadwal.html
{% extends 'base.html' %}
{% load static %}

{% block title %} Delete Jadwal {% endblock title %}

{% block content %}
    <br/>
    <h1> Hapus Jadwal </h1>
    <br/>
    <h3>Delete: {{mata_kuliah.nama_mata_kuliah}} </h3>
        <div class = "form-group">
        <form method="POST">
            {% csrf_token %}
            <strong>Are you sure?</strong>
    
            <a class="btn btn-danger" id="right-panel-link" href={% url 'jadwal_app:tampilan_jadwal' %}>Hapus Jadwal</a>  
        </form>
        </div>
            
        <br>
         
{% endblock content %}

jadwal_app/templates/detail_jadwal.html
{% extends 'base.html' %}
{% load static %}

{% block title %} Jadwal {% endblock title %}

{% block content %}

    <ul class="list-group">
        <li class="list-group-item">Nama Mata Kuliah = {{mata_kuliah.nama_mata_kuliah}}</li>
        <li class="list-group-item">Dosen Pengajar = {{mata_kuliah.dosen_pengajar}}</li>
        <li class="list-group-item">Jumlah SKS = {{mata_kuliah.jumlah_sks}}</li>
        <li class="list-group-item">Deskripsi Mata Kuliah = {{mata_kuliah.deskripsi_mata_kuliah}}</li>
        <li class="list-group-item">Semester Tahun = {{mata_kuliah.semester_tahun}}</li>
        <li class="list-group-item">Ruang Kelas = {{mata_kuliah.ruang_kelas}}</li>
      </ul>    
   
{% endblock content %}

jadwal_app/templates/jadwal.html
{% extends 'base.html' %}
{% load static %}

{% block title %} Jadwal {% endblock title %}

{% block content %}
    <br/>
    <h1> Tambahkan Jadwal </h1>
    <br/>
        <form action = "" method="POST">
            {% csrf_token %}
            {{ form.as_p }}
            <input type = "submit" class="btn btn-warning">
            <a class="btn btn-warning" id="right-panel-link" href={% url 'jadwal_app:tampilan_jadwal' %}>Lihat daftar jadwal kuliah</a>  
        </form>
        <br>
         
{% endblock content %}

jadwal_app/templates/tampilan_jadwal.html
{% extends 'base.html' %}
{% load static %}

{% block title %} Jadwal {% endblock title %}

{% block content %}
    <h1> Daftar Jadwal </h1>
    <ul>
        {% for post in object_list %}
        <li><a href= "{% url 'jadwal_app:detail_jadwal' post.pk %}">{{ post.nama_mata_kuliah }}</a></li>

        <small><a href= "{% url 'jadwal_app:delete_jadwal' post.pk %}">Hapus jadwal</a></small>
    {% endfor %}
    </ul>
    
   
{% endblock content %}

kegiatan_app/templates/list_kegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block title %} List Kegiatan {% endblock title %}

{% block content %}
    <h3> List Kegiatan </h3>
    <ul>
        {% for post in object_list %}
        <li>{{ post.nama_kegiatan }}</li>
        <small><a href="{% url 'kegiatan_app:listnama' %}">Lihat nama-nama</a>  </small>
    {% endfor %}
    </ul>
    <a class="btn btn-warning" id="right-panel-link" href="{% url 'kegiatan_app:daftarnama' %}">Aku mau daftar!</a>

{% endblock content %}

kegiatan_app/templates/list_nama.html
{% extends 'base.html' %}
{% load static %}

{% block title %} List Kegiatan {% endblock title %}

{% block content %}
    <h3> List Kegiatan dan Nama </h3>
    <ul class = "list-group">
        <li class="list-group-item">{{daftar_kegitan.nama_orang}}</li>
        <li class="list-group-item">{{mata_kuliah.dosen_pengajar}}</li>
        <li class="list-group-item">{{mata_kuliah.jumlah_sks}}</li>
        <li class="list-group-item">{{mata_kuliah.deskripsi_mata_kuliah}}</li>
        <li class="list-group-item">{{mata_kuliah.semester_tahun}}</li>
        <li class="list-group-item">{{mata_kuliah.ruang_kelas}}</li>
    
    </ul>

{% endblock content %}

kegiatan_app/templates/tambah_kegiatan.html
{% extends 'base.html' %}
{% load static %}

{% block title %} Daftar kegiatan! {% endblock title %}

{% block content %}
    <br>
    <div class="container text-center">
        <h3> Tambah suatu kegiatan! atau klik 'lihat kegiatan' untuk melihat kegiatan yang tersedia  </h3>
    </div>

    <br>
    <br>
        <form action = "" method="POST">
            {% csrf_token %}
            {{ form.as_p }}
            <input type = "submit" class="btn btn-warning">
            <a class="btn btn-warning" id="right-panel-link" href={% url 'kegiatan_app:listkegiatan' %}>Lihat kegiatan</a>  
        </form>
    <br>

{% endblock content %}

kegiatan_app/templates/tambah_nama_orang.html
{% extends 'base.html' %}
{% load static %}

{% block title %} Daftar kegiatan! {% endblock title %}

{% block content %}
    <br>
    <div class="container text-center">
        <h3> Tambah suatu kegiatan! atau klik 'lihat kegiatan' untuk melihat kegiatan yang tersedia  </h3>
    </div>

    <br>
    <br>
        <form action = "" method="POST">
            {% csrf_token %}
            {{ form.as_p }}
            <input type = "submit" class="btn btn-warning">
            <a class="btn btn-warning" id="right-panel-link" href="{% url 'kegiatan_app:daftarkegiatan' %}">Kembali</a>  
        </form>
    <br>
    

{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block title %} Cosnol's Story {% endblock title %}

{% block content %}
 <!-- background images-->
<div id="background">
  <div class="jumbotron">
      <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
  </div>
  </div>

  <!-- profile section-->
  <div id="profile-section">
  <div class="container-fluid padding">
      <div class="row padding">
          <div class="col-lg-6">
              <img src="{% static 'img/Khusnul111.jpg' %}" class="img-fluid">
          </div>
          <div class="col-lg-6">
              <h2> Halo! </h2>
              <p>
                  Aku seorang mahasiswa <b>Fakultas Ilmu Komputer</b> di Universitas Indonesia. 
                  Hobinya <b>memasak</b> dan memakan hasilnya. Aku juga senang <b>berhitung</b>, apalagi menghitung uang :D 
                  Oh iya, biar makin akrab, kalian bisa panggil aku Khusnul/Cosnol.
              </p>
          </div>
          
      </div>
  </div>
  <hr class="my-4">
  </div>

  <!-- Tentangku section-->
  <div id="tentangku-section">
  <div class="container-fluid padding">
      <div class="row padding">
          <div class="col-md-12 col-lg-6">
              <h2>Aku punya bakat terpendam loh...</h2>
              <p>
                  Aku suka <b>mengajar</b>. Sejak aku SD sampai sekarang, aku suka mengajarkan teman-teman atau adik-adik ku yang kesulitan belajar.
                  Selain itu, aku juga suka <b>berbisnis</b>. Waktu SD pernah membuat notebook ala-ala dari kertas bekas (yang masih kosong). Lalu aku jual ke teman-teman. 
              </p>
          </div>
          <div class="col-md-12 col-lg-6">
              <img src="{% static 'img/Khusnul222.jpg' %}" class="img-fluid">
          </div>
          <br>
          <div class="container"> 
              <a class="btn btn-warning pull-right" id="right-panel-link" href={% url 'main:tambahan' %}>Pencapaianku lebih lanjut</a> 
          </div> 
      </div>
  </div>
  </div>
  <hr class="my-4">
  <!--fixed background-->
  <figure>
      <div class="fixed-wrap">
          <div id="fixed">
          </div>
      </div>
  </figure>

  <!--conntact section-->
  <div id="kontak-section">
    <div class="container-fluid padding">
        <div class="row text-center padding">
        <div class="col-12">
            <h2>Untuk informasi lebih lanjut</h2>
        </div>
        <div class="col-12 social padding">
            <a href="https://www.instagram.com/cos.nol/" target="_blank"><i class="fab fa-instagram"></i></a>
            <a href="https://twitter.com/cosnol1" target="_blank"><i class="fab fa-twitter"></i></a>
            <a href="https://www.linkedin.com/in/cosnol/" target="_blank"><i class="fab fa-linkedin"></i></a>
        </div>
        </div>
    </div>
</div>
{% endblock content %}

main/templates/main/tambahan.html
{% load static %}


<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/
        jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/
        propper/min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/
        bootstrap.min.js"></script>
        <script src="https://use.fontawesome.com/releases/v5.0.8/js/all.js">
        </script>
        <title>cosnol's Pencapaian</title>
        <link rel="stylesheet" href="{% static 'css/style.css' %}">
        {% block meta %}
        {% endblock meta %}
      </head>
<body>
       <!-- navigation -->
       <nav class="navbar navbar-expand-md sticky-top">
        <div class="container-fluid">
            <a class="navbar-brand" href="#background"><img src= "{% static 'img/cos00.png' %}" height = "50" href="#"></a>
            <button class="navbar-toggler" type="button" data-toggle="collapse"
            data-target="#navbarResponsive">
                <span class="navbar-toggler-icon"></span>

            </button>
            <div class="collapase navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item">
                        <a class="nav-link" href= {% url 'main:home' %}>Kembali</a>
                    </li>
                </ul>
            </div>        
        </div>
    </nav>

    <br> 

    <!--pencapaian-->
    <div class="container-fluid padding";>
        <div class="row welcome text-center">
            <div class="col-12">
                <h2 class="display-4"> <b>Aku sedang dan pernah menjadi...</b> </h2>
            </div>
        </div>
    </div>

    <div class="container-fluid padding">
        <div class="row padding">
            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="{% static 'img/Fuki.png' %}">
                    <div class="card-body">
                        <h4 class="card-title">FUKI FASILKOM</h4>
                        <h5 class="card-title">2020 s.d. Sekarang</h5>
                        <p class="card-text"> Wakadept. Kemakmuran Musholla Fasilkom (KMF)</p>
                    </div>
                </div>
            </div>

            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="{% static 'img/siwak.png' %}">
                    <div class="card-body">
                        <h4 class="card-title">SIWAK-NG</h4>
                        <h5 class="card-title">2020 s.d. Sekarang</h5>
                        <p class="card-text"> Sekretaris </p>
                    </div>
                </div>
            </div>

            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="{% static 'img/lambang cday.jpg' %}">
                    <div class="card-body">
                        <h4 class="card-title">Campus Day SMAN 4 Bekasi 2020</h4>
                        <h5 class="card-title">2019 s.d. 2020</h5>
                        <p class="card-text"> Sekretaris </p>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <br><br>
    
    <!--hobi-->
    <div class="container-fluid padding";>
        <div class="row welcome text-center">
            <div class="col-12">
                <h2 class="display-4"> <b>Hobiku adalah...</b> </h2>
            </div>
        </div>
    </div>
    
    <div class="container-fluid padding">
        <div class="row padding">
            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="{% static 'img/cooking.png' %}">
                    <div class="card-body">
                        <h4 class="card-title">Memasak</h4>
                    </div>
                </div>
            </div>

            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="{% static 'img/woman.png' %}">
                    <div class="card-body">
                        <h4 class="card-title">Membaca</h4>
                    </div>
                </div>
            </div>

            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="{% static 'img/Sp candy.jpg' %}">
                    <div class="card-body">
                        <h4 class="card-title">Bermain shopee candy</h4>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <br><br>

    <!--karya/projek-->
    <div class="container-fluid padding";>
        <div class="row welcome text-center">
            <div class="col-12">
                <h2 class="display-4"> <b>Karya atau projek ku biasanya ku taruh di... </b> </h2>
            </div>
        </div>
    </div>

    <div class="container-fluid padding">
        <div class="row padding">
            <div class="col-md-4">
                <div class="card">
                    <img class="card-img-top" src="{% static 'img/youtube-logo-red-hd-13.png' %}">
                    <div class="card-body">
                        <h4 class="card-title">Khusnul Khotimah</h4>
                        <a class="btn btn-outline-secondary"
                        href="https://www.youtube.com/channel/UCxysRimmKoYv5HGnwzymBnw?view_as=subscriber" target="_blank">
                        Lihat youtube-ku!</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

   
    
</body>
</html>

story_9/templates/login.html
{% extends 'base.html' %}
{% load static %}

{% block title %} Cosnol's story-9 {%endblock title %}

{% block meta %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<link rel="stylesheet" href="{% static 'story_9/story_9.css' %}">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
{% endblock meta %}	
	
{% block content %}
<div class="container h-100">
    <div class="d-flex justify-content-center h-100">
        <div class="user_card">
            <div class="d-flex justify-content-center">
                <h3 id="form-title">LOGIN</h3>
            </div>
            <div class="d-flex justify-content-center form_container">
                <form method="POST" action="">
                    {% csrf_token %}
                    <div class="input-group mb-3">
                        <div class="input-group-append">
                            <span class="input-group-text"><i class="fas fa-user"></i></span>
                        </div>
                        <input type="text" name="username" placeholder="Username..." class="form-control">
                    </div>
                    <div class="input-group mb-2">
                        <div class="input-group-append">
                            <span class="input-group-text"><i class="fas fa-key"></i></span>
                        </div>
                            <input type="password" name="password" placeholder="Password..." class="form-control" >
                    </div>
                        <div class="d-flex justify-content-center mt-3 login_container">
                            <input class="btn login_btn" type="submit" value="Login">
                        </div>
                </form>

            </div>
            {% for message in messages %}
                <p id = "messages">{{message}}</p>
            {% endfor %}
            <div class="mt-4">
                <div class="d-flex justify-content-center links">
                    Don't have an account? <a href="{% url 'story_9:signup' %}" class="ml-2">Sign Up</a>
                </div>
        
            </div>
        </div>
    </div>
</div>
{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
  <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

  <title>{% block title %} {% endblock title %} </title>
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  <!-- navigation -->
  <nav class="navbar navbar-expand-md sticky-top">
    <a class="navbar-brand" href= {% url 'main:home' %}><img src="{% static 'img/cos00.png' %}" height = "50"></a>
    <button class="navbar-toggler" data-toggle="collapse"
    data-target="#navbarMenu" style="background-color:#FF9233;">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id = "navbarMenu">
        
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                  <a class="nav-link" href={% url 'kegiatan_app:daftarkegiatan' %}>Form Kegiatan</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href={% url 'jadwal_app:jadwal' %}>Form Jadwal</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href={% url 'main:story1' %}>Story 1</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href={% url 'main:home' %}>Story 4</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" href={% url 'story_7:story_7' %}>Story 7</a>
                </li>  
                <li class="nav-item">
                  <a class="nav-link" href={% url 'story_8:story_8' %}>Story 8</a>
                </li>  
                {% if user.is_authenticated %}
                <li class="nav-item nav-link" style="color:#f3f9e3;">
                  Hai, {{ request.user.username }}
                </li>  
                <li class="nav-item">
                  <a class="nav-link" href={% url 'story_9:logout' %}>Logout</a>
                </li>  
                {% else %}
                <li class="nav-item">
                  <a class="nav-link" href={% url 'story_9:login' %}>Login</a>
                </li>  
                {% endif %}
            </ul>
        </div>        
    </div>
</nav>

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
crossorigin="anonymous"></script>

  {% block content %}

  {% endblock content %}
  <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
  <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
  </body>
</html>